Bug 237079 (CVE-2005-2090) - CVE-2005-2090 tomcat multiple content-length header poisioning
Summary: CVE-2005-2090 tomcat multiple content-length header poisioning
Status: CLOSED ERRATA
Alias: CVE-2005-2090
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050606,sourc...
Keywords: Security
Depends On: 237086 237088 237089 237090 237109 238402 238574 240208 390331 390341 390351 390361 414311 430730 430731 449337 470236 470237
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-04-19 11:50 UTC by Mark J. Cox
Modified: 2013-05-08 18:26 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-08 18:26:06 UTC


Attachments (Terms of Use)
the proposed patch (3.71 KB, patch)
2007-04-19 11:53 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1069 normal SHIPPED_LIVE Moderate: tomcat security update for Red Hat Network Satellite Server 2007-11-26 13:56:32 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-04-19 11:50:17 UTC
From http://tomcat.apache.org/security-5.html

Fixed in Apache Tomcat 5.5.23

Information disclosure CVE-2005-2090

Requests with multiple content-length headers should be rejected as invalid.
When multiple components (firewalls, caches, proxies and Tomcat) process a
sequence of requests where one or more requests contain multiple content-length
headers and several components do not reject the request and make different
decisions as to which content-length leader to use an attacker can poision a
web-cache, perform an XSS attack and obtain senstive information from requests
other then their own. Tomcat now returns 400 for requests with multiple
content-length headers.

Affects: 5.0.0-5.0.HEAD, 5.5.0-5.5.22

Comment 2 Mark J. Cox 2007-04-19 11:53:21 UTC
Created attachment 152992 [details]
the proposed patch

Comment 3 Mark J. Cox 2007-04-23 10:35:30 UTC
advisory text: "Tomcat was found to accept multiple content-length headers in a
request.  This could allow attackers to poison a web-cache, bypass web
application firewall protection, or conduct cross-site scripting attacks. 
(CVE-2005-2090)"

Comment 4 Jean-frederic Clere 2007-05-02 06:27:09 UTC
important: Directory traversal   CVE-2007-0450

Comment 5 Jean-frederic Clere 2007-05-02 06:33:01 UTC
That is a complex attack.

Comment 11 errata-xmlrpc 2010-08-04 21:32:26 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html

Comment 12 Vincent Danen 2013-05-08 18:26:06 UTC
Please see https://access.redhat.com/security/cve/CVE-2005-2090 for a list of other products that contain this fix.


Note You need to log in before you can comment on or make changes to this bug.